org.omg.CORBA

## Class ParameterModeHelper

- java.lang.Object
- - org.omg.CORBA.ParameterModeHelper

-     public abstract class ParameterModeHelper
      extends Object

  Enumeration of parameter modes for Parameter. Possible vaues:
  - PARAM_IN - Represents an "in" parameter.
  - PARAM_OUT - Represents an "out" parameter.
  - PARAM_INOUT - Represents an "inout" parameter.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterModeHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ParameterMode` | `extract(Any a)`
    `static String` | `id()`
    `static void` | `insert(Any a, ParameterMode that)`
    `static ParameterMode` | `read(InputStream istream)`
    `static TypeCode` | `type()`
    `static void` | `write(OutputStream ostream, ParameterMode value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterModeHelper

          public ParameterModeHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                    ParameterMode that)

    - #### extract

          public static ParameterMode extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static ParameterMode read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                   ParameterMode value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.